跳转至

证书管理接口

GET 查询证书配置列表

GET /prod-api/cdn/layer7/ssl/describeDomainSSL

Body 请求参数

{}

请求参数

名称 位置 类型 必选 说明
pageNum query integer 当前页数
pageSize query integer 每页显示条目个数
search query string 搜索值
searchHeader query integer -
Authorization header string -
body body object -

返回示例

200 Response

{
  "total": 5,
  "rows": [
    {
      "sslId": 262,
      "domainId": 215,
      "domainName": "waf2.demon.com",
      "source": 2,
      "endTime": "2025-07-01T19:41:53.000+08:00",
      "status": "normal",
      "port": 0,
      "protocol": 1,
      "certificateTaskStatus": null
    },
    {
      "sslId": 253,
      "domainId": 231,
      "domainName": "lw1test.com",
      "source": 2,
      "endTime": null,
      "status": "issuing",
      "port": 0,
      "protocol": 0,
      "certificateTaskStatus": "failed"
    },
    {
      "sslId": 251,
      "domainId": 213,
      "domainName": "waf.demo.com",
      "source": 0,
      "endTime": "2024-10-14T07:59:59.000+08:00",
      "status": "normal",
      "port": 0,
      "protocol": 0,
      "certificateTaskStatus": null
    }
  ],
  "code": 200,
  "msg": "成功"
}

401 Response

{}

返回结果

状态码 状态码含义 说明 数据模型
200 OK - Inline
401 Unauthorized - Inline
403 Forbidden - Inline
404 Not Found - Inline

返回数据结构

状态码 200

名称 类型 必选 约束 中文名 说明
» total integer true - -
» rows [object] true - -
»» sslId integer true - 证书ID -
»» domainId integer true - 域名ID -
»» domainName string true - 域名 -
»» source integer true - 证书来源 source:0 代表自有证书source:1 代表托管证书
»» endTime string¦null true - 到期时间 -
»» status string true - SSL状态 status:issuing 代表颁发中
status:normal 代表正常
»» port integer true - 端口 -
»» protocol integer true - 回源类型 protocol:0 代表HTTP
protocol:1 代表HTTPS
»» certificateTaskStatus string¦null true - -
» code integer true - -
» msg string true - -

数据模型